MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028913Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2017-07-12 10:462017-09-29 16:29
Reporterimn 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028913: UnifySameDomain crashes with error: "a shape is modified and removed simultaneously"
DescriptionWhen trying to unify the attached face the algorithm crashes with error: "a shape is modified and removed simultaneously" in "BRepTools_History.cxx"
Steps To Reproducerestore face.brep b
explode b E
unifysamedom result b b_6 b_9 b_11

testgrid heal unify_same_domain
TagsNo tags attached.
Test case numberheal unify_same_domain A6 A7 A8 A9 B1 B2 B3 B4 B5
Attached Files? file icon face.brep (23,965 bytes) 2017-07-12 10:46

- Relationships
related to 0028245closedbugmaster Result of Cells Builder algorithm becomes invalid after removal of internal boundaries on faces 
related to 0029027closedbugmaster Crash in attemption to use ShapeUpgrade_UnifySameDomain algorithm on half-cylinder 

-  Notes
(0068207)
msv (developer)
2017-07-12 12:37

It is needed to decide what to do with this issue. One possible solution is to use map of back links in unify same domain algorithm. Or, may be it is needed to implement more intelligent behavior of Remove() method of History, what will require adding back map in the History.
(0068526)
msv (developer)
2017-07-21 10:15

Up.
Alexander, please take care of this.
(0068598)
msv (developer)
2017-07-21 17:56

It is decided to overcome the problem inside UnifySameDomain algorithm. History is to be remained untouched.
(0069439)
emv (developer)
2017-08-16 11:47

The problem is not reproduced on current version of OCCT. Please create the test case and close the issue.
(0069449)
emv (developer)
2017-08-16 13:28

The problem is reproduced in Debug mode.
(0069767)
git (administrator)
2017-08-23 10:50

Branch CR28913 has been created by emv.

SHA-1: bcc1b7a66096505c026f88ce67bf7200b5b506ba


Detailed log of new commits:

Author: emv
Date: Fri Aug 18 16:00:07 2017 +0300

    0028913: UnifySameDomain crashes with error: "a shape is modified and removed simultaneously"
    
    Correct filling of the history of the modifications of the shapes in ShapeUpgrade_UnifySameDomain algorithm.
    
    Test cases for the issue.
(0069791)
emv (developer)
2017-08-23 15:16

Dear Mikhail, could you please review the git branch CR28913?

Test results are available here - http://jenkins-test-10.nnov.opencascade.com/view/CR28913-master-EMV/view/COMPARE/. [^]
(0069799)
msv (developer)
2017-08-23 17:13

Reviewed.
(0069818)
bugmaster (administrator)
2017-08-24 11:25

Combination -
OCCT branch : CR28913 : SHA-1: bcc1b7a66096505c026f88ce67bf7200b5b506ba
Products branch : master
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

Number of compiler warnings:

OCCT :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Products :
Linux: 5 (5 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:

Windows:
OCCT
Total CPU difference: 17330.010689098726 / 17295.75286949859 [+0.20%]
Producst
Total CPU difference: 7688.758886599963 / 7720.302288799964 [-0.41%]

Linux:
OCCT
Total CPU difference: 19451.89000000023 / 19456.560000000376 [-0.02%]
Products
Total CPU difference: 7703.40000000009 / 7725.120000000072 [-0.28%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

New test cases : OK
(0069900)
git (administrator)
2017-08-25 16:13

Branch CR28913 has been deleted by kgv.

SHA-1: bcc1b7a66096505c026f88ce67bf7200b5b506ba

- Related Changesets
occt: master f523acf0
Timestamp: 2017-08-18 13:00:07
Author: emv
Committer: bugmaster
Details ] Diff ]
0028913: UnifySameDomain crashes with error: "a shape is modified and removed simultaneously"

Correct filling of the history of the modifications of the shapes in ShapeUpgrade_UnifySameDomain algorithm.

Test cases for the issue.
mod - src/ShapeUpgrade/ShapeUpgrade_UnifySameDomain.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_UnifySameDomain.hxx Diff ] File ]
mod - tests/heal/unify_same_domain/A4 Diff ] File ]
add - tests/heal/unify_same_domain/A6 Diff ] File ]
add - tests/heal/unify_same_domain/A7 Diff ] File ]
add - tests/heal/unify_same_domain/A8 Diff ] File ]
add - tests/heal/unify_same_domain/A9 Diff ] File ]
add - tests/heal/unify_same_domain/B1 Diff ] File ]
add - tests/heal/unify_same_domain/B2 Diff ] File ]
add - tests/heal/unify_same_domain/B3 Diff ] File ]
add - tests/heal/unify_same_domain/B4 Diff ] File ]
add - tests/heal/unify_same_domain/B5 Diff ] File ]
add - tests/heal/unify_same_domain/end Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-07-12 10:46 imn New Issue
2017-07-12 10:46 imn Assigned To => msv
2017-07-12 10:46 imn File Added: face.brep
2017-07-12 10:47 imn Relationship added related to 0028245
2017-07-12 12:37 msv Note Added: 0068207
2017-07-12 12:37 msv Assigned To msv => abk
2017-07-12 12:37 msv Status new => assigned
2017-07-21 10:15 msv Note Added: 0068526
2017-07-21 17:56 msv Note Added: 0068598
2017-07-21 17:56 msv Assigned To abk => imn
2017-07-21 17:56 msv Status assigned => feedback
2017-08-16 11:46 emv Assigned To imn => bugmaster
2017-08-16 11:47 emv Note Added: 0069439
2017-08-16 13:28 emv Note Added: 0069449
2017-08-16 13:28 emv Assigned To bugmaster => imn
2017-08-16 13:28 emv Status feedback => assigned
2017-08-16 16:05 emv Assigned To imn => emv
2017-08-21 16:04 emv Relationship added related to 0029027
2017-08-23 10:50 git Note Added: 0069767
2017-08-23 15:16 emv Note Added: 0069791
2017-08-23 15:16 emv Assigned To emv => msv
2017-08-23 15:16 emv Status assigned => resolved
2017-08-23 15:16 emv Steps to Reproduce Updated View Revisions
2017-08-23 17:13 msv Note Added: 0069799
2017-08-23 17:13 msv Assigned To msv => bugmaster
2017-08-23 17:13 msv Status resolved => reviewed
2017-08-24 11:22 bugmaster Test case number => heal unify_same_domain A6 A7 A8 A9
2017-08-24 11:23 bugmaster Test case number heal unify_same_domain A6 A7 A8 A9 => heal unify_same_domain A6 A7 A8 A9 B1 B2 B3 B4 B5
2017-08-24 11:25 bugmaster Note Added: 0069818
2017-08-24 11:25 bugmaster Status reviewed => tested
2017-08-25 15:02 bugmaster Changeset attached => occt master f523acf0
2017-08-25 15:02 bugmaster Status tested => verified
2017-08-25 15:02 bugmaster Resolution open => fixed
2017-08-25 16:13 git Note Added: 0069900
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker